Description

In order to limit SCM bandwidth to either 16 or 64Hz (TBC) we should add more filtering to JUICE baseline design.

The idea is to see the best results we can get with minimum modifications to JUICE design.

Several options can be implemented on BBM if want to compare them.

Related issues:
Blocks Task #3817: BBM PCB layout

Closed 26/03/2021

History

#1 - 22/03/2021 05:12 PM - Alexis Jeandet
- Blocks Task #3817: BBM PCB layout added

#2 - 18/05/2021 12:02 PM - Fatima Mehrez

The first solution is to adapt the feedback capacitance of the first stage amplifier so that to limit the band width: According to simulation and

depending on the desired roll-off frequency, the total feedback capacitance could be:
Cfb -> BW

825 nF -> 16 Hz

414 nF -> 32 Hz

207nF ->64 Hz

~103.3 nF -> 128 Hz

#3 - 20/05/2021 01:06 PM - Alexis Jeandet
- Status changed from New to Closed

- % Done changed from 0 to 100
